/***************************************************
//Web: http://www.buydisplay.com
EastRising Technology Co.,LTD
Examples for ER-OLEDM0383-1
Display is Hardward SPI 4-Wire SPI Interface 
Tested and worked with:
Works with Arduino 2.3.4 IDE  
NOTE: test OK:ESP32-WROOM-32  
****************************************************/

/*
/*  == Hardward SPI to ESP32  ==
    OLED   =>    ESP32
  *1. GND    ->    GND
  *2. VCC    ->    3.3
  *3. SCL    ->    18
  *4. SDI    ->    23
  *5. RES    ->    16  
  *6. DC     ->    17
  *7. CS1    ->    5
  *8. CS2    ->    15 
  *9. FR1    ->    NC
  *10.FR2    ->    NC  
*/


#include <SPI.h>
#include "er_oled.h"

//uint8_t oled_buf[OLED_Y_MAXPIXEL * OLED_X_MAXPIXEL/2];

void setup() {
  Serial.begin(9600);
  Serial.print("OLED Example\n");

  /* display an image of bitmap matrix */
  er_oled_begin();

  
}

void loop() {
  OLED_Clear(0,0,320,132,0x00);
 
  OLED_ShowPicture_mono(0,0,320,132,BMP_mono1);
   delay(3000);
   
 
  OLED_ShowPicture_gray(0,0,320,132,BMP_gray1);
  delay(3000);  


  OLED_ShowPicture_gray(0,0,320,132,BMP_gray2);
  delay(3000);

   
  OLED_ShowPicture_gray(0,0,320,132,BMP_gray3);
  delay(3000);

  OLED_ShowPicture_gray(0,0,320,132,BMP_gray4);
  delay(3000);
  

}

